Package org.apache.sysds.runtime.compress.lib

# Class CLALibRemoveEmpty

java.lang.Object
org.apache.sysds.runtime.compress.lib.CLALibRemoveEmpty

public class CLALibRemoveEmpty extends Object

## Constructor Summary

Constructors
Constructor
Description
`CLALibRemoveEmpty()`

## Method Summary

Modifier and Type
Method
Description
`static MatrixBlock`
`rmempty(CompressedMatrixBlock in, MatrixBlock ret, boolean rows, boolean emptyReturn, MatrixBlock select)`
CP rmempty operation (single input, single output matrix)

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CLALibRemoveEmpty

public CLALibRemoveEmpty()

## Method Details

### rmempty

public static MatrixBlock rmempty(CompressedMatrixBlock in, MatrixBlock ret, boolean rows, boolean emptyReturn, MatrixBlock select)
CP rmempty operation (single input, single output matrix)

Parameters:
  `in` - The input matrix
  `ret` - The output matrix
  `rows` - If we are removing based on rows, or columns.
  `emptyReturn` - Return row/column of zeros for empty input.
  `select` - An optional selection vector, to remove based on rather than empty rows or columns
Returns:
  The result MatrixBlock, can be a different object that the caller used.